Get Bank Transfer Instructions
Retrieve bank transfer instructions for a payment.
Requirements:
- Payment must be created with Payment v3 API (not v1/v2)
- Payment must use bank transfer method (not wallet-funded)
Authentication: Bearer token required
Authentication
OAuth 2.0 Bearer token authentication. This API uses OAuth 2.0 Client Credentials flow. Please refer to the Authentication section for detailed information on how to obtain and use your OAuth credentials.
Path parameters
Query parameters
Country code where the payment is being sent from. 3-letter ISO country code. See ISO 3166-1 on Wikipedia.
Response
Indicates the type of transfer:
domestic_transfer: For transfers within the same country (e.g., EFT, Wire).international_transfer: For cross-border transfers requiring SWIFT/IBAN.
The exact currency and amount that the third party must transfer to the bank details provided in this response.
The third party should send amount.value in amount.currency to the specified bank account.
Amount must be sent with 2 decimal precision.
Example: If amount shows {"currency": "GBP", "value": 1000.45}, the third party should transfer exactly £1,000.45 GBP to the bank account details provided.
Example: If amount shows {"currency": "GBP", "value": 1000.45} the third party should transfer exactly £1,000.45 GBP to the bank account details provided.
Guidance on which payment schemes the beneficiary account accepts. Varies by the from_country query parameter.